// On-Line Discovery of Dense Areas in Spatio-temporal Databases
// Copyright (C) 2003 Marios Hadjieleftheriou
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Contact information:
//  Mailing address:
//    Marios Hadjieleftheriou
//    University of California, Riverside
//    Department of Computer Science
//    Surge Building, Room 310
//    Riverside, CA 92521
//
//  Email:
//    marioh@cs.ucr.edu

#include "global.h"

int main(int argc, char** argv)
{
	initRandom();

	if (argc != 2)
	{
		cerr << "Usage: " << argv[0] << " horizon." << endl;
		return -1;
	}

	int horizon = atoi(argv[1]);
	cerr << "Using horizon: " << horizon << endl;

	int H = TMIN + horizon;

	for (int T = TMIN; T < TMAX; T += 1)
	{
		if (T >= H)
		{
			H += horizon;
		}

		for (int k = 0; k < QUERIES_PER_TIME_INSTANT; k++)
		{
			int t1 = nextUniformInt(T, H - 1);
			int t2 = t1 + nextUniformInt(2, 10);

			cout << "9999999 "  << QUERY << " " << T << " " << T << " 0 0 0 0 " << t1 << " " << t2 << " " << "0" << endl;
		}
	}

	return 0;
}
